Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
x11-drivers/xf86-video-intel-2.6 with GEM works GREAT!
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
are
Apprentice
Apprentice


Joined: 03 Jan 2006
Posts: 188

PostPosted: Fri Dec 26, 2008 4:00 am    Post subject: x11-drivers/xf86-video-intel-2.6 with GEM works GREAT! Reply with quote

Hi there,

yesterday I did a
Code:

playman -a x11
paludis -s x-x11
paludis -i x11-drivers/xf86-video-intel


(after I installed zen-sources-2.6.28-rc9) and what shall I say: it works great!
Everything worked out of the box. I tweaked xorg.conf in order to use UXA.

OpenGL performance is great (glxgears gives me 1600 frames now instead of 650 before). And I can play NeverwinterNights again, that always core dumped with any x11-drivers/xf86-video-intel-2.5

So just take my note: it seems to be quite stable already. Not one issue so far. Totally happy now after a dark period with intels graphic.

regards!
Back to top
View user's profile Send private message
bobdva
Apprentice
Apprentice


Joined: 25 Nov 2003
Posts: 207
Location: Moscow

PostPosted: Fri Dec 26, 2008 8:30 am    Post subject: Re: x11-drivers/xf86-video-intel-2.6 with GEM works GREAT! Reply with quote

are wrote:
Hi there,
yesterday I did a
Code:

playman -a x11
paludis -s x-x11
paludis -i x11-drivers/xf86-video-intel



what is playman and what is x-x11 ?
Back to top
View user's profile Send private message
atgnwt
n00b
n00b


Joined: 15 Jun 2006
Posts: 17

PostPosted: Sat Dec 27, 2008 3:50 pm    Post subject: Reply with quote

Care to post the relevant sections of your xorg.conf? I tried upgrading to the latest ~xf86-video-intel (2.5.1-r1 from stock ~amd64; this seems to be ahead of the one in the overlay, right?) as well as to 9999 (plus libdrm) from the x11 overlay, but I still don't get any acceleration. I'm running vanilla 2.6.28, and my video card section reads as follows:
Code:

Section "Device"
        Identifier  "Card0"
        Driver      "intel"
        VendorName  "Intel Corporation"
        BoardName   "Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller"
        BusID       "PCI:0:2:0"
        Option      "AccelMethod"               "uxa"                                 
        Option      "DRI"                       "True"
        Option      "RenderAccel"               "True"
EndSection

Anything I'm missing? I kind of want to play stepmania again. :wink:
Back to top
View user's profile Send private message
truekaiser
l33t
l33t


Joined: 05 Mar 2004
Posts: 756

PostPosted: Sat Dec 27, 2008 5:47 pm    Post subject: Re: x11-drivers/xf86-video-intel-2.6 with GEM works GREAT! Reply with quote

bobdva wrote:
are wrote:
Hi there,
yesterday I did a
Code:

playman -a x11
paludis -s x-x11
paludis -i x11-drivers/xf86-video-intel



what is playman and what is x-x11 ?


it's a forum member's poor replacement to portage. it's not supported by the devs last time i checked.
Back to top
View user's profile Send private message
pilla
Administrator
Administrator


Joined: 07 Aug 2002
Posts: 7694
Location: Pelotas, BR

PostPosted: Sat Dec 27, 2008 6:01 pm    Post subject: Reply with quote

Moved from Desktop Environments to Unsupported Software.
_________________
"I'm just very selective about the reality I choose to accept." -- Calvin
Back to top
View user's profile Send private message
SlashBeast
Moderator
Moderator


Joined: 23 May 2006
Posts: 2843

PostPosted: Sat Dec 27, 2008 6:26 pm    Post subject: Reply with quote

What version of xorg-server you use? And you use xf86-video-intel-9999 or xf86-video-intel-2.5.99.1 ?

imho we need xorg-server, mesa, libdrm and intel drivers from x11 overlay.
_________________
BitBucket -- better-initramfs
Back to top
View user's profile Send private message
are
Apprentice
Apprentice


Joined: 03 Jan 2006
Posts: 188

PostPosted: Sun Dec 28, 2008 12:41 am    Post subject: Reply with quote

SlashBeast wrote:
What version of xorg-server you use? And you use xf86-video-intel-9999 or xf86-video-intel-2.5.99.1 ?

imho we need xorg-server, mesa, libdrm and intel drivers from x11 overlay.


Used xf86-video-intel-9999, that pulls just the rest.
Back to top
View user's profile Send private message
El_Presidente_Pufferfish
Veteran
Veteran


Joined: 11 Jul 2002
Posts: 1179
Location: Seattle

PostPosted: Sun Dec 28, 2008 8:43 pm    Post subject: Reply with quote

Any idea why i'm getting this compile error with xf86-video-intel-9999?
Code:
Making all in bios_reader
In file included from /usr/include/xorg/edid.h:15,
                 from bios_reader.c:46:
/usr/include/X11/Xmd.h:152: error: conflicting types for ‘CARD32’
bios_reader.c:44: error: previous declaration of ‘CARD32’ was here
make[4]: *** [bios_reader.o] Error 1
make[4]: *** Waiting for unfinished jobs....
make[3]: *** [all-recursive] Error 1
make[2]: *** [all] Error 2
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2
Back to top
View user's profile Send private message
IvanMajhen
Guru
Guru


Joined: 10 Jun 2006
Posts: 392
Location: Croatia

PostPosted: Sun Dec 28, 2008 9:06 pm    Post subject: Reply with quote

Apply patch from portage to live ebuild.
Back to top
View user's profile Send private message
mbar
Veteran
Veteran


Joined: 19 Jan 2005
Posts: 1979
Location: Poland

PostPosted: Mon Dec 29, 2008 7:26 am    Post subject: Reply with quote

thanks for the info!
Back to top
View user's profile Send private message
NightwalkerPL
Tux's lil' helper
Tux's lil' helper


Joined: 22 Sep 2006
Posts: 82
Location: Poland

PostPosted: Thu Jan 01, 2009 3:05 pm    Post subject: Reply with quote

Hi,
Anyone knows how to remove all xorg related packages? I wanna make clean clean xorg overlay instalation for GEM.

Thanks in advance.
_________________
Nippah ^_^
Back to top
View user's profile Send private message
atgnwt
n00b
n00b


Joined: 15 Jun 2006
Posts: 17

PostPosted: Thu Jan 01, 2009 4:23 pm    Post subject: Reply with quote

@NightwalkerPL
Try this:
Code:
qlist --installed --nocolor |sed -n  '/x11-drivers/p;/x11-proto/p;/x11-base/p;/x11-libs/p;/x11-apps/p'|xargs emerge -Cva

I don't believe x11-apps or x11-libs are necessary in their entirety (or at all), but when it comes to cleansing, it's better to be on the safe side.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum